Index: source/src/texk/web2c/pdftexdir/pdftex.web
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- source/src/texk/web2c/pdftexdir/pdftex.web	(revision 822)
+++ source/src/texk/web2c/pdftexdir/pdftex.web	(date 1585140416000)
@@ -17434,7 +17434,8 @@
         else
             k := read_font_info(null_cs, s, "", font_size[f]);
     end;
-    copy_expand_params(k, f, e);
+    if k <> null_font then
+        copy_expand_params(k, f, e);
     load_expand_font := k;
 end;
 
@@ -17990,12 +17991,12 @@
             vf_local_font_warning(f, k, "checksum mismatch");
         if ds <> font_dsize[k] then
             vf_local_font_warning(f, k, "design size mismatch");
-    end;
-    if (pdf_font_step[f] <> 0) then
-        set_expand_params(k, pdf_font_auto_expand[f],
-                          pdf_font_expand_ratio[pdf_font_stretch[f]],
-                          -pdf_font_expand_ratio[pdf_font_shrink[f]],
-                          pdf_font_step[f], pdf_font_expand_ratio[f]);
+        if (pdf_font_step[f] <> 0) then
+            set_expand_params(k, pdf_font_auto_expand[f],
+                              pdf_font_expand_ratio[pdf_font_stretch[f]],
+                              -pdf_font_expand_ratio[pdf_font_shrink[f]],
+                              pdf_font_step[f], pdf_font_expand_ratio[f]);
+    end;
     vf_def_font := k;
 end;
 
